oracle.jdbc.aq

## Enum AQMessageProperties.MessageState

- java.lang.Object
- - java.lang.Enum<AQMessageProperties.MessageState>
  - - oracle.jdbc.aq.AQMessageProperties.MessageState

All Implemented Interfaces:
  Serializable, Comparable<AQMessageProperties.MessageState>

Enclosing interface:
  AQMessageProperties

    public static enum AQMessageProperties.MessageState
    extends Enum<AQMessageProperties.MessageState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXPIRED` The message has moved to exception queue.
`PROCESSED` The message has been processed.
`READY` The message is ready to be processed.
`WAITING` The message delay has not yet completed.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQMessageProperties.MessageState` `getMessageState(int code)` Implementation detail (for internal use only).
`static AQMessageProperties.MessageState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AQMessageProperties.MessageState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WAITING

    public static final AQMessageProperties.MessageState WAITING

The message delay has not yet completed.

#### READY

    public static final AQMessageProperties.MessageState READY

The message is ready to be processed.

#### PROCESSED

    public static final AQMessageProperties.MessageState PROCESSED

The message has been processed.

#### EXPIRED

    public static final AQMessageProperties.MessageState EXPIRED

The message has moved to exception queue.

### Method Detail

#### values

    public static AQMessageProperties.MessageState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQMessageProperties.MessageState c : AQMessageProperties.MessageState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQMessageProperties.MessageState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

#### getMessageState

    public static final AQMessageProperties.MessageState getMessageState(int code)

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.